# HG changeset patch
# Node ID 88b82273e4a1
# Parent  97197e07bcc4
diff --git a/pidgin/resources/Prefs/away.ui b/pidgin/resources/Prefs/away.ui
--- a/pidgin/resources/Prefs/away.ui
+++ b/pidgin/resources/Prefs/away.ui
@@ -85,26 +85,20 @@ along with this program; if not, see <ht
           </object>
         </child>
         <child>
-          <object class="AdwActionRow">
-            <property name="activatable-widget">mins_before_away</property>
+          <object class="AdwSpinRow" id="mins_before_away">
             <property name="title" translatable="1">_Minutes before becoming idle</property>
             <property name="use-underline">1</property>
-            <child>
-              <object class="GtkSpinButton" id="mins_before_away">
-                <property name="focusable">1</property>
-                <property name="adjustment">
-                  <object class="GtkAdjustment">
-                    <property name="lower">1</property>
-                    <property name="upper">1440</property>
-                    <property name="value">1</property>
-                    <property name="step-increment">1</property>
-                    <property name="page-increment">10</property>
-                  </object>
-                </property>
-                <property name="numeric">1</property>
-                <property name="valign">center</property>
+            <property name="adjustment">
+              <object class="GtkAdjustment">
+                <property name="lower">1</property>
+                <property name="upper">1440</property>
+                <property name="value">1</property>
+                <property name="step-increment">1</property>
+                <property name="page-increment">10</property>
               </object>
-            </child>
+            </property>
+            <property name="digits">0</property>
+            <property name="numeric">1</property>
           </object>
         </child>
         <child>
diff --git a/pidgin/resources/Prefs/conversation.ui b/pidgin/resources/Prefs/conversation.ui
--- a/pidgin/resources/Prefs/conversation.ui
+++ b/pidgin/resources/Prefs/conversation.ui
@@ -54,18 +54,12 @@ along with this program; if not, see <ht
           </object>
         </child>
         <child>
-          <object class="AdwActionRow">
-            <property name="activatable-widget">minimum_entry_lines</property>
+          <object class="AdwSpinRow" id="minimum_entry_lines">
             <property name="title" translatable="1">Minimum input area height in lines</property>
             <property name="use-underline">1</property>
-            <child>
-              <object class="GtkSpinButton" id="minimum_entry_lines">
-                <property name="focusable">1</property>
-                <property name="adjustment">minimum_entry_lines.adjustment</property>
-                <property name="numeric">1</property>
-                <property name="valign">center</property>
-              </object>
-            </child>
+            <property name="adjustment">minimum_entry_lines.adjustment</property>
+            <property name="digits">0</property>
+            <property name="numeric">1</property>
           </object>
         </child>
       </object>
diff --git a/pidgin/resources/Prefs/network.ui b/pidgin/resources/Prefs/network.ui
--- a/pidgin/resources/Prefs/network.ui
+++ b/pidgin/resources/Prefs/network.ui
@@ -77,37 +77,23 @@ along with this program; if not, see <ht
             <property name="use-underline">1</property>
             <property name="focusable">0</property>
             <child>
-              <object class="AdwActionRow">
-                <property name="activatable-widget">ports_range_start</property>
+              <object class="AdwSpinRow" id="ports_range_start">
                 <property name="title" translatable="1">_Start</property>
                 <property name="use-underline">1</property>
-                <property name="focusable">0</property>
-                <child>
-                  <object class="GtkSpinButton" id="ports_range_start">
-                    <property name="focusable">1</property>
-                    <property name="valign">center</property>
-                    <property name="text" translatable="1">0</property>
-                    <property name="adjustment">ports_range_start.adjustment</property>
-                    <property name="numeric">1</property>
-                  </object>
-                </child>
+                <property name="adjustment">ports_range_start.adjustment</property>
+                <property name="digits">0</property>
+                <property name="numeric">1</property>
+                <property name="value">0</property>
               </object>
             </child>
             <child>
-              <object class="AdwActionRow">
-                <property name="activatable-widget">ports_range_end</property>
+              <object class="AdwSpinRow" id="ports_range_end">
                 <property name="title" translatable="1">_End</property>
                 <property name="use-underline">1</property>
-                <property name="focusable">0</property>
-                <child>
-                  <object class="GtkSpinButton" id="ports_range_end">
-                    <property name="focusable">1</property>
-                    <property name="valign">center</property>
-                    <property name="text" translatable="1">0</property>
-                    <property name="adjustment">ports_range_end.adjustment</property>
-                    <property name="numeric">1</property>
-                  </object>
-                </child>
+                <property name="adjustment">ports_range_end.adjustment</property>
+                <property name="digits">0</property>
+                <property name="numeric">1</property>
+                <property name="value">0</property>
               </object>
             </child>
           </object>
